### Method

# GLib BookmarkFile set_modified_date_time

since: 2.66

#### Declaration [src]

    void
    g_bookmark_file_set_modified_date_time (
      GBookmarkFile* bookmark,
      const char* uri,
      GDateTime* modified
    )

#### Description [src]

Sets the last time the bookmark for `uri` was last modified.

If no bookmark for `uri` is found then it is created.

The “modified” time should only be set when the bookmark’s meta-data was actually changed. Every function of `GBookmarkFile` that modifies a bookmark also changes the modification time, except for g_bookmark_file_set_visited_date_time().

Available since: 2.66

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`modified`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.